Some plugins fails by upgrading databases by MythTV 31.0

Have a MythTV related problem? Ask for help from other MythTV users here.

Moderator: Forum Moderators

Post Reply
laasa
Junior
Posts: 19
Joined: Tue Jan 03, 2017 2:48 pm
Germany

Some plugins fails by upgrading databases by MythTV 31.0

Post by laasa » Sat Mar 28, 2020 11:13 pm

Hi,
I am start checking new version with the following configuration:
- complete new installation in a separate partition
- Xubuntu 20.04
- MythTV 31.0 via apt-get install mythtv*

Many things are working fine. That's great.

But some plugins fails by upgrading their mysql databases at start of mythfrontend.
This plugins are mytharchive, mythgame, mythmusic and mythweather.
When I look to the error message it is an ALTER command.
In every case it is an change from varchar(255) to utf8.
e.g.: MODIFY filename varchar(255) CHARACTER SET utf8 NOT NULL default.
The error message is "You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'default,".

I try to find a solution in web but found nothing.
Any ideas?

Thanks in advanced,
laasa.

MikeB2013
Senior
Posts: 511
Joined: Mon Jul 25, 2016 4:16 pm
Great Britain

Re: Some plugins fails by upgrading databases by MythTV 31.0

Post by MikeB2013 » Sun Mar 29, 2020 11:08 am

The issue is due to newer version of mysql in Xubuntu 20.04
The problem has been reported see https://code.mythtv.org/trac/ticket/13577
No solution as far as I know at present.

laasa
Junior
Posts: 19
Joined: Tue Jan 03, 2017 2:48 pm
Germany

Re: Some plugins fails by upgrading databases by MythTV 31.0

Post by laasa » Tue Mar 31, 2020 4:01 pm

Thanks for the link.
I have try to play with different character sets at mysql side without success.
For new installations this issue could be avoided by deliver a database without the need for an upgrade.
But when you want to upgrade from an older MythTV version it doesn't help.

laasa
Junior
Posts: 19
Joined: Tue Jan 03, 2017 2:48 pm
Germany

Re: Some plugins fails by upgrading databases by MythTV 31.0

Post by laasa » Fri Apr 03, 2020 3:02 pm

I have checked the syntax of Mysql 8.0 and try to fix it (for me).
Possibly the attached file could be a solution?

Regards,
laasa.
Attachments
DBCHECK.diff
(9.45 KiB) Downloaded 12 times

Post Reply